Mageia 2021-0289: glibc security update | LinuxSecurity.com

Advisories

MGASA-2021-0289 - Updated glibc packages fix a security vulnerability

Publication date: 28 Jun 2021
URL: https://advisories.mageia.org/MGASA-2021-0289.html
Type: security
Affected Mageia releases: 7
CVE: CVE-2016-10228

A vulnerability was found in the iconv program provided by glibc when it's
invoked with the -c option. It can enter an infinite loop while parsing an
invalid multi-byte sequence (CVE-2016-10228).

References:
- https://bugs.mageia.org/show_bug.cgi?id=28942
- https://access.redhat.com/errata/RHSA-2021:1585
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-10228

SRPMS:
- 7/core/glibc-2.29-23.mga7

Mageia 2021-0289: glibc security update

A vulnerability was found in the iconv program provided by glibc when it's invoked with the -c option

Summary

A vulnerability was found in the iconv program provided by glibc when it's invoked with the -c option. It can enter an infinite loop while parsing an invalid multi-byte sequence (CVE-2016-10228).

References

- https://bugs.mageia.org/show_bug.cgi?id=28942

- https://access.redhat.com/errata/RHSA-2021:1585

- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-10228

Resolution

MGASA-2021-0289 - Updated glibc packages fix a security vulnerability

SRPMS

- 7/core/glibc-2.29-23.mga7

Severity
Publication date: 28 Jun 2021
URL: https://advisories.mageia.org/MGASA-2021-0289.html
Type: security
CVE: CVE-2016-10228

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.